#lang racket
(provide programming-language%)

;---------------------------------------------------------------------------------------------------
;programming-language% represents a progamming lang (resource) on the Dodona server.
;So, data associated with a progamming lang is encapsulated
;---------------------------------------------------------------------------------------------------

(define programming-language%
  (class object%
    (init-field prog-lang-data)
    (super-new)

    (define/private (lookup key)
      (hash-ref prog-lang-data key))

    (define/public (get-extension)
      (lookup 'extension))

    (define/public (get-id)
      (lookup 'id))

    (define/public (get-name)
      (lookup 'name))
    
    ))

    
