#lang racket
(provide submission-created-response%)

;-------------------------------------------------------------------------------------------------------------
;RESPONES: After certain HTTP requests, the dodona server responds with some data.
;
;root-response: dodona servers response after a POST request to submit an exercise. 
;-------------------------------------------------------------------------------------------------------------

(define submission-created-response% 
  (class object%
    (init-field submission-created-data)
    (super-new)

    (define/private (lookup key)
      (hash-ref submission-created-data key))

    (define/public (get-course-id)
      (lookup 'course_id))

    (define/public (get-exercise-id)
      (lookup 'exercise_id))

    (define/public (get-id) ;gets submission id
      (lookup 'id))

    (define/public (get-status) ;gets submission status
      (lookup 'status))

    (define/public (get-url)
      (lookup 'url))))
