#lang racket
(require rackunit)
(require "../../../dodona-api/dodona-client.rkt")
(require "../../../dodona-api/resources/course.rkt")
(require "../resource-validators.rkt")
(require "../constants.rkt")

(test-case "EXERCISE MANAGER TEST"
           (define client (new dodona-client% [host DODONA-TEST-URL] [token "zeus"]))
           (define exercise-manager (get-field exercise-manager client))
           (define series-manager (get-field series-manager client)) ;needed to fetch a series
           (define course-manager (get-field course-manager client)) ;needed to fetch a course

           (define course-id 3) 
           (define course (send course-manager get-course course-id))

           (define list-of-series (send series-manager get-all course))
           (define series (car list-of-series))

           (define series-exercises (send exercise-manager get-all series))
           (for-each validate-exercise series-exercises))
