#lang racket
(require rackunit)
(require "../../../dodona-api/dodona-client.rkt")
(require "../../../dodona-api/resources/series.rkt")
(require "../resource-validators.rkt")
(require "../constants.rkt")

(test-case "SERIES MANAGER TEST"
           (define client (new dodona-client% [host DODONA-TEST-URL] [token "zeus"]))
           (define series-manager (get-field series-manager client))

           (define course-manager (get-field course-manager client)) ;needed to fetch a course
           (define course-id 3) 
           (define course (send course-manager get-course course-id))

           (define list-of-series (send series-manager get-all course))

           (for-each validate-series list-of-series))
