#lang racket
(require rackunit)
(require "../../../dodona-api/dodona-client.rkt")
(require "../resource-validators.rkt")
(require "../constants.rkt")

(test-case "USER MANAGER TEST"
           (define client (new dodona-client% [host DODONA-TEST-URL] [token "zeus"]))
           (define user-manager (get-field user-manager client))

           (define root-response (send client get-root-response))
           (define current-user (send root-response get-user))
           (define current-user-id (send current-user get-id))

           (define fetched-user (send user-manager get-user current-user-id))
           (validate-user fetched-user))
